#define lowp
#define mediump
#define highp
#line 0
uniform highp mat4 uni_mvp;
uniform lowp vec3 uni_albedo;

attribute highp vec4 attr_pos;
attribute mediump vec2 attr_uv;
attribute lowp vec3 attr_normal;

varying lowp vec3 vary_color;
varying lowp vec3 vary_normal;
varying mediump vec2 vary_uv;

void main (void) {
	vary_uv = attr_uv;
	
	vary_normal = attr_normal;
	vary_color = uni_albedo * uni_albedo;
	
	gl_Position = uni_mvp * attr_pos;
}
